<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SimpleSpline.html">SimpleSpline</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SimpleSpline Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a19945294aede4d865da85ccbe095ad33">addPoint</a>(const Vector3 &amp;p)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#ad9b46f66661afbebf4cf1c45182e0484">clear</a>(void)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a7cc4a623dc37c403b68d79eab09adf46">getNumPoints</a>(void) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a295cb351867d81989ba41161d87a1258">getPoint</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#af137f00a5cc7bf35f88ee90df830e301">interpolate</a>(Real t) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a4931043963476005519d6efa4dc8a7fd">interpolate</a>(unsigned int fromIndex, Real t) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#af6c6e592a24de4a8ba44077eb00cce02">mAutoCalc</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a1f4270a81d2a5f8580b8e5652407998e">mCoeffs</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#abfedd02e64b6d03b82c46c3ebd37a90f">mPoints</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a2a795b529c48668850d8c701b4b65926">mTangents</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a2c8896ea995986b58328763e58acbcb0">recalcTangents</a>(void)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#ac8a0d23480006745e3a58ecec33f6bc2">setAutoCalculate</a>(bool autoCalc)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a647c5b1ef7ab486fc8646fa6a151bab6">SimpleSpline</a>()</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#a5c757c1a320a61e224753b72c5e65048">updatePoint</a>(unsigned short index, const Vector3 &amp;value)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#aef641d97c1f208faf7bcf46584706fd8">~SimpleSpline</a>()</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
